description

# Range class Null safety

Annotations
  - @Unstable()
  - @Native("Range")

## Constructors

Range()
  factory
Range.fromPoint(Point<num> point)
  factory

## Properties

collapsed → bool
  read-only
commonAncestorContainer → Node
  read-only
endContainer → Node
  read-only
endOffset → int
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
startContainer → Node
  read-only
startOffset → int
  read-only

## Methods

cloneContents() → DocumentFragment
cloneRange() → Range
collapse([bool? toStart]) → void
compareBoundaryPoints(int how, Range sourceRange) → int
comparePoint(Node node, int offset) → int
createContextualFragment(String fragment) → DocumentFragment
deleteContents() → void
detach() → void
expand(String? unit) → void
extractContents() → DocumentFragment
getBoundingClientRect() → Rectangle<num>
getClientRects() → List<Rectangle<num>>
insertNode(Node node) → void
isPointInRange(Node node, int offset) → bool
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
selectNode(Node node) → void
selectNodeContents(Node node) → void
setEnd(Node node, int offset) → void
setEndAfter(Node node) → void
setEndBefore(Node node) → void
setStart(Node node, int offset) → void
setStartAfter(Node node) → void
setStartBefore(Node node) → void
surroundContents(Node newParent) → void
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

supportsCreateContextualFragment → bool
  Checks if createContextualFragment is supported. [...]
  read-only

## Constants

END_TO_END → const int
  `2`
END_TO_START → const int
  `3`
START_TO_END → const int
  `1`
START_TO_START → const int
  `0`